de.esprit.netsuite.server.core

## Class AccessibleServerObject<C extends ClientContext,S extends ServerContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.netdata.AbstractCrossPlatformObject<C,S>
      - - de.esprit.netsuite.server.core.AccessibleServerObject<C,S>

- All Implemented Interfaces:
    SimpleLogSupport, DeepCloneable, Dumpable, ClientObject<C>, CrossPlatformObject<C,S>, LastAccessed, ServerObject<S>, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    AbstractABO

      public abstract class AccessibleServerObject<C extends ClientContext,S extends ServerContext>
      extends AbstractCrossPlatformObject<C,S>
      implements LastAccessed

  This is base class manages a lastAccessor ID as well as a lastAccessor timestamp for remote accessible server objects.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessibleServerObject(C clientCtx)`
    `AccessibleServerObject(S serverCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.sql.Timestamp` | `getLastAccessedTs()` Returns the timestamp of last client access
    `SessionId` | `getLastAccessorId()` Tells which client has last accessed the model
    `void` | `setLastAccessorId(SessionId sessId)` Sets the sessionId of the client who has last accessed the model

    - ### Methods inherited from class de.esprit.netsuite.netdata.AbstractCrossPlatformObject

      `checkOnClient, checkOnServer, getClientContext, getLogChannel, getServerContext, isLogDebug, isLogVerbose, isOnClient, isOnServer, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setClientContext, setLogChannel, setServerContext`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from interface de.esprit.common.type.DeepCloneable

      `deepClone`

- - ### Constructor Detail

    - #### AccessibleServerObject

          public AccessibleServerObject(S serverCtx)

    - #### AccessibleServerObject

          public AccessibleServerObject(C clientCtx)

  - ### Method Detail

    - #### setLastAccessorId

          public void setLastAccessorId(SessionId sessId)

      Description copied from interface: `LastAccessed`
      Sets the sessionId of the client who has last accessed the model
      Specified by:
        `setLastAccessorId` in interface `LastAccessed`

    - #### getLastAccessorId

          public SessionId getLastAccessorId()

      Description copied from interface: `LastAccessed`
      Tells which client has last accessed the model
      Specified by:
        `getLastAccessorId` in interface `LastAccessed`

    - #### getLastAccessedTs

          public java.sql.Timestamp getLastAccessedTs()

      Description copied from interface: `LastAccessed`
      Returns the timestamp of last client access
      Specified by:
        `getLastAccessedTs` in interface `LastAccessed`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.